`include "defines.h"

module impl();

// Memory Interface Signals.
        wire pj_su;

// Debug Interface Signals.
        wire pj_brk1_sync;
        wire pj_brk2_sync;
        wire pj_in_halt;
        wire pj_inst_complete;
        wire pj_halt;
        wire pj_resume;

// Processor Interface Signals.
        wire pj_boot8;
        wire pj_no_fpu;
        wire [3:0] pj_irl;
        wire pj_nmi;
        wire sm;
        wire sin;
        reg  reset_l;
        wire pj_standby_out;
        wire pj_reset_out;
        wire clk;
        wire pj_clk_out;
        wire so;

//	BIU signals...
	wire pj_dcureq;
	wire [1:0] pj_dcusize;
	wire [2:0] pj_dcutype;
	wire [31:0] pj_dcuaddr;
	wire [31:0] pj_dataout;
	wire pj_icureq;
	wire [1:0] pj_icusize;
	wire pj_icutype;
	wire [31:0] pj_icuaddr;
	wire [1:0] pj_dcuack;
	wire [1:0] pj_icuack;
	wire [31:0] pj_datain;

// 	These are performance counter connection ports
        wire [5:0] pj_perf_sgnl;

//	These are test mode connection ports
	wire dc_test_err_l;
	wire dt_test_err_l;
	wire ic_test_err_l;
	wire it_test_err_l;
	wire [1:0] bist_mode;
	wire bist_reset;
	wire test_mode;

        initial reset_l = 0;
        always reset_l = 1;

	cpu cpu(
	pj_su,
	pj_boot8,
	pj_no_fpu,
	pj_irl,
	pj_nmi,
	pj_brk1_sync,
        pj_brk2_sync,
        pj_in_halt,
        pj_inst_complete,
        pj_halt,
        pj_resume,
	pj_standby_out,
	sm, 
	sin, 
	so, 
	pj_clk_out,
	clk, 
	pj_reset_out,
	reset_l,
	pj_dcureq,
	pj_dcusize,
	pj_dcutype,
	pj_dcuaddr,
	pj_dataout,
	pj_dcuack,
	pj_icureq,
	pj_icusize,
	pj_icutype,
	pj_icuaddr,
	pj_icuack,
	pj_datain,
	
	// The following ports are added for the performance counter
	pj_perf_sgnl,
	// The following signals are added for test purpose
	dc_test_err_l,
	dt_test_err_l,
	ic_test_err_l,
	it_test_err_l,
	bist_mode,
	bist_reset,
	test_mode
	);

	

endmodule // impl
